/**
* ClientGroup.js
*
* @description :: TODO: You might write a short summary of how this model works and what it represents here.
* @docs        :: http://sailsjs.org/#!documentation/models
*/

module.exports = {
    
    attributes: {
        
        /**
         * Nombre del grupo
         */
        name: {
            type: 'string',
            unique: true,
            required: true,
            notNull: true
        },
        
        /**
         * Clientes que pertenecen al grupo.
         */
        clients: {
            collection: 'client',
            via: 'groups',
            dominant: true
        },
        
        /**
         * Imagenes que pertenecen al grupo.
         */
        images: {
            collection: 'binaryImage',
            via: 'groups',
            dominant: true
        }
        
    },
    
    /**
     * Form builder
     */
    formFields: [{
        name: 'id',
        label: 'Id',
        type: 'text',
    }, {
        name: 'name',
        label: 'Name*',
        type: 'text',
        attrs: {
            'data-editable': true,
            'data-bv-stringlength': 'true',
            'data-bv-stringlength-min': 3,
            'data-bv-notempty': 'true',
        }
    }, {
        name: 'clients',
        label: 'Clients',
        relation: 'client',
        type: 'select',
        multiple: true,
        attrs: {
            'data-editable': true,
            'title': 'No clients assigned',
        },
        perms: 'manageClients',
        // Must be injected: { id: '...', name: '...' }
        values: []
    }, {
        name: 'images',
        label: 'Images',
        relation: 'binaryimage',
        type: 'select',
        multiple: true,
        attrs: {
            'data-editable': true,
            'title': 'No images assigned',
        },
        perms: 'manageImages',
        // Must be injected: { id: '...', name: '...' }
        values: []
    }],
    
    /**
     * List Builder. Max col-md-10
     */
    listFields: [{
        name: 'id',
        label: '#',
        'class': 'col-md-1'
    }, {
        name: 'name',
        label: 'Name',
        'class': 'col-md-9'
    }]
    
};
