module.exports = function (req, res, next) {
    sails.log.debug('Policy: flash');
    
    // Creamos el contenedor para las variables guardar en res.local las
    // variables de session.flash para que sean accesibles desde el template.
    res.locals.flash = {};
    
    // Si no hay variables de sesión, continuamos
    if ( ! req.session.flash ) {
        return next();
    }
    
    // Clonamos las variables de sesión a la variable local. Con el método
    // _.clone() nos aseguramos que no exista ninguna relación entre ambas.
    res.locals.flash = _.clone(req.session.flash);
    
    // Limpiamos la variable sessions
    req.session.flash = {};
    
    // Continuamos
    return next();
};