module.exports = function (req, res, next) {
    sails.log.debug('Policy: permManageUsers');
    var perm = 'manageUsers';
    
    // Si tenemos permisos o somos el mismo usuario, continuamos. La comparación
    // de la ID no es estricta porque puede ser entero o string.
    if ( ( req.session.User && req.session.User.hasPerm(perm) ) ||
        ( req.session.User.id == req.param('id') ) ) {
        return next();
    }
    
    // Si no, mostramos mensaje de error y salimos
    var requiredPermissionError = {
        name: 'requiredPermissionError',
        message: 'You don\'t have the correct permission to do this action: `' + perm + '`.'
    };
    return next(requiredPermissionError);
};