/**
 * Live-build defaults
 * Tested versions: 3.0.5-1, 4.0-alpha39-1
 */

module.exports = {
    
    // Template
    __template: 'lb_3.0.5-1.sh',
    __build: 'yyyymmdd.HHMMss.l',
    
    // Extra config parameters
    _lb_config_append: '',
    
    // Packages List
    _lb_packages: '',
    
    // Standard options
    lb_apt: 'apt', // apt|aptitude
    lb_distribution: 'wheezy', // stable|testing|unstable
    lb_binary_images: 'netboot', // iso|iso-hybrid|netboot|tar|hdd
    
    // Advanced bootstrap options
    lb_architecture: 'i386', // i386 amd64,
    lb_archive_areas: 'main', // main contrib non-stree,
    
    // Advanced chroot options
    lb_chroot_filesystem: '', // ext2|ext3|squashfs|plain|jffs2,
    lb_linux_flavours: '486', // 486|686|686-pae|amd64|k7|vserver-686|vserver-k7|xen-686,
    lb_security: '', // true|false,
    
    // Advanced binary options
    lb_apt_indices: 'true', // true|false,
    lb_apt_recommends: 'true', // true|false,
    lb_bootappend_install: '',
    lb_bootappend_live: '',
    lb_bootloader: '', // grub|syslinux|yaboot,
    lb_debian_installer: 'false', // true|false,
    lb_debootstrap_options: '',
    
    // ISO info
    lb_iso_application: 'Debian Live',
    lb_iso_preparer: 'Niobium; http://niobium.com',
    lb_iso_publisher: 'Niobium; http://niobium.com/',
    lb_iso_volume: 'Debian Live $(date +%Y%m%d-%H:%M)',
    
    // Memtest
    lb_memtest: 'none', // memtest86+|memtest86|none,
    
    // Netboot
    lb_net_root_filesystem: 'nfs', // nfs|cfs,
    lb_net_root_path: '',
    lb_net_root_server: '',
    lb_net_tarball: 'false', //true|false,
    
    // Advanced source options
    lb_source_images: '', // iso|net|tar|hdd,
    lb_source: '', // true|false,
    
};