/**
 * Live-build SquashFS connector
 */
module.exports = {
    path: '/srv/nbm/builds/lb',
    ipxe: [
        'kernel %(url)s/%(kernel)s boot=live config quiet splash fetch=%(url)s/%(squashfs)s',
        'initrd %(url)s/%(initrd)s'
    ],
    
    kernel: 'vmlinuz',
    initrd: 'initrd.img',
    squashfs: 'filesystem.squashfs',
    
    env: _.merge({}, require('./defaults/lb_3.0.5-1.js'), {
        _lb_packages: 'vim lynx user-setup sudo',
        lb_chroot_filesystem: 'squashfs',
        lb_apt_indices: 'false',
        lb_apt_recommends: 'false',
        lb_debootstrap_options: '--variant=minbase', // requires: user-setup sudo
    })
};