$(document).ready(function () {
    var form = $('#nbm-config-form');
    var a = form.find('#nbm-config-current');
    var b = form.find('#nbm-config-updated');
    var res = form.find('#nbm-config-diff');
    var diffContainers = $().add(a).add(b).add(res);
    var resetButton = $('button[data-action="reset"]');
    
    // Store `updated` initial value
    b.data('default', b.val());
    
    var adjustHeight = function () {
        var scrollTop = $(window).scrollTop();
        $(this).height(0);
        $(this).height(this.scrollHeight);
        $(window).scrollTop(scrollTop);
    };
    
    var setScrollLeft = function (e) {
        e.stopPropagation();
        var elem = $(this);
        diffContainers.not(elem).scrollLeft(elem.scrollLeft());
    };
    
    var _refreshDiff = function () {
        var diff = JsDiff.diffChars(a.html(), b.val());
        
        res.empty();
        diff.forEach(function (part){
            // green for additions, red for deletions
            // grey for common parts
            var color = part.added ?
                '#90EE90' :
                part.removed ? '#F08080' : 'transparent';
            var span = $('<span />').css({ backgroundColor: color}).html(part.value);
            res.append(span);
        });
    };
    
    var refreshId = null;
    var refreshDiff = function () {
        if ( refreshId ) {
            clearTimeout(refreshId);
            refreshId = null;
        }
        refreshId = setTimeout(_refreshDiff, 200);
    };
    
    if ( (a || []).length && (b || []).length && (res || []).length ) {
        b.on('paste change input keyup', adjustHeight);
        b.on('paste change input keyup', refreshDiff).trigger('keyup');
        diffContainers.on('scroll', setScrollLeft);
    }
    
    resetButton.on('click', function (e) {
        if ( b.val() !== b.data('default') && confirm('Are you sure?') ) {
            b.val(b.data('default')).trigger('change');
        }
    });
    
    form.on('submit', function (e) {
        $('<input />').attr({
            type: 'hidden',
            name: 'updated',
            value: b.val()
        }).appendTo(this);
        
        return true;
    });
});
